## cdrtools 1.10

=== cdda2wav/Makefile ===
#ident @(#)Makefile	1.2 00/12/09 
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		cdda2wav
CPPOPTS +=	-DFIFO -I../cdrecord $(CDDA2WAVDEFS)
CFILES=		cdda2wav.c interface.c semshm.c resample.c \
		toc.c wav.c sun.c raw.c md5c.c setuid.c ringbuff.c \
		sndconfig.c scsi_cmds.c aiff.c aifc.c \
		scsi_cdr.c cd_misc.c modes.c ioctl.c sha_func.c base64.c
HFILES=		cdda2wav.h interface.h semshm.h global.h resample.h \
		mytype.h toc.h wav.h sun.h raw.h md5.h setuid.h ringbuff.h \
		config.h saveargs.h sndfile.h aiff.h aifc.h \
		sndconfig.h scsi_cmds.h lowlevel.h byteorder.h mycdrom.h \
		base64.h sha.h mmsystem.h
LIBS=		-lrscg -lscg -lschily $(SCSILIB) $(EXTRALIB) $(LIB_SOCKET)
XMK_FILE=	Makefile.man

LCONFIG=	local.cnf
###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1
###########################################################################

_ARCH_=		$(_UNIQ)$(O_ARCH)
_HAVE_LINUX=	$(_ARCH_:$(_UNIQ)linux=1)
HAVE_LINUX=	$(_HAVE_LINUX:$(_ARCH_)%=%)
_HAVE_SUN_OS=	$(_ARCH_:$(_UNIQ)sunos%=1)
HAVE_SUN_OS=	$(_HAVE_SUN_OS:$(_ARCH_)%=%)
_HAVE_BSD_OS=	$(_ARCH_:$(_UNIQ)%bsd=1)
HAVE_BSD_OS=	$(_HAVE_BSD_OS:$(_ARCH_)%=%)
_HAVE_CYGWIN=	$(_ARCH_:$(_UNIQ)cygwin32_nt=1)
HAVE_CYGWIN=	$(_HAVE_CYGWIN:$(_ARCH_)%=%)

=== mkisofs/Makefile ===
#ident @(#)Makefile	1.9 01/04/03 
###########################################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		mkisofs
HARDLINKS=	mkhybrid
#CPPOPTS +=	-DADD_FILES
CPPOPTS +=	-DUSE_LARGEFILES
CPPOPTS +=	-DAPPLE_HYB
CPPOPTS +=	-DSORTING
CPPOPTS +=	-I../libhfs_iso/
CPPOPTS	+=	-DHAVE_CONFIG_H -DUSE_LIBSCHILY -DUSE_SCG \
		'-DAPPID_DEFAULT="MKISOFS ISO 9660/HFS FILESYSTEM BUILDER & CDRECORD CD-R/DVD CREATOR (C) 1993 E.YOUNGDALE (C) 1997 J.PEARSON/J.SCHILLING"' \
		-I../cdrecord
CFILES=		mkisofs.c tree.c write.c hash.c rock.c multi.c \
		joliet.c match.c name.c fnmatch.c eltorito.c boot.c \
		getopt.c getopt1.c \
		scsi.c \
		scsi_cdr.c cd_misc.c \
		modes.c \
		apple.c volume.c desktop.c mac_label.c
HFILES=		apple.h bootinfo.h config.h defaults.h diskmbr.h exclude.h \
		fnmatch.h getopt.h iso9660.h mac_label.h mactypes.h match.h \
		mkisofs.h sunlabel.h vms.h 

LIBS=		-lhfs -lfile -lunls -lrscg -lscg -lschily $(SCSILIB) $(LIB_SOCKET)
XMK_FILE=	Makefile.man hybridman.mk

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################

=== scgcheck/Makefile ===
#ident @(#)Makefile	1.3 01/03/18 
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		scgcheck
CPPOPTS +=	-I../cdrecord
CFILES=		scgcheck.c sense.c dmaresid.c \
		scsi_scan.c scsi_cdr.c cd_misc.c modes.c

HFILES=		scgcheck.h 
#LIBS=		-lschily $(LIB_SOCKET)
LIBS=		-lrscg -lscg -lschily $(LIB_SOCKET)
XMK_FILE=	Makefile.man

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1

## cdrtools 2.0+a30.pre1

=== cdda2wav/Makefile ===
#ident @(#)Makefile	1.8 03/08/31 
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
LCONFIG=	local.cnf
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		cdda2wav
CPPOPTS +=	-DFIFO -I../libscg -I../cdrecord $(CDDA2WAVDEFS)
CFILES=		cdda2wav.c interface.c semshm.c resample.c \
		toc.c wav.c sun.c raw.c md5c.c setuid.c ringbuff.c \
		sndconfig.c scsi_cmds.c aiff.c aifc.c \
		scsi_cdr.c cd_misc.c modes.c ioctl.c sha_func.c base64.c \
		defaults.c getnum.c
HFILES=		cdda2wav.h interface.h semshm.h global.h resample.h \
		mytype.h toc.h wav.h sun.h raw.h md5.h setuid.h ringbuff.h \
		config.h saveargs.h sndfile.h aiff.h aifc.h \
		sndconfig.h scsi_cmds.h lowlevel.h byteorder.h mycdrom.h \
		base64.h sha.h mmsystem.h cd_text.c cd_extra.c \
		defaults.h
LIBS=		-lrscg -lscg $(LIB_VOLMGT) -lparanoia -ldeflt -lschily $(SCSILIB) $(EXTRALIB) $(LIB_SOCKET)
XMK_FILE=	Makefile.man cdda2ogg.mk1

xall:		all
$(ARCHDIR)/local.cnf $(ARCHDIR)/lconfig.h:	../cdrecord/cdrecord.c

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1
###########################################################################

_ARCH_=		$(_UNIQ)$(O_ARCH)
_HAVE_LINUX=	$(_ARCH_:$(_UNIQ)linux=1)
HAVE_LINUX=	$(_HAVE_LINUX:$(_ARCH_)%=%)
_HAVE_SUN_OS=	$(_ARCH_:$(_UNIQ)sunos%=1)
HAVE_SUN_OS=	$(_HAVE_SUN_OS:$(_ARCH_)%=%)
_HAVE_BSD_OS=	$(_ARCH_:$(_UNIQ)%bsd=1)
HAVE_BSD_OS=	$(_HAVE_BSD_OS:$(_ARCH_)%=%)
_HAVE_CYGWIN=	$(_ARCH_:$(_UNIQ)cygwin32_nt=1)
HAVE_CYGWIN=	$(_HAVE_CYGWIN:$(_ARCH_)%=%)
_HAVE_OS2=	$(_ARCH_:$(_UNIQ)os2=1)
HAVE_OS2=	$(_HAVE_OS2:$(_ARCH_)%=%)

=== readcd/Makefile ===
#ident @(#)readcd.mk	1.3 04/01/02 
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		readcd
CPPOPTS +=	-I../cdrecord -DUSE_PG
CPPOPTS +=	-DCLONE_WRITE
CPPOPTS +=	-DUSE_LARGEFILES
CFILES=		readcd.c cd_misc.c io.c \
		movesect.c \
		defaults.c \
		scsi_cdr.c \
		scsi_mmc.c \
		modes.c misc.c getnum.c
HFILES=		
#LIBS=		-lschily $(LIB_SOCKET)
LIBS=		-lrscg -lscg $(LIB_VOLMGT) -ldeflt -lschily $(SCSILIB) $(LIB_SOCKET)
XMK_FILE=	Makefile.man

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1

## cdrtools 2.01+01a03

=== cdrecord/Makefile ===
#ident @(#)Makefile	1.30 05/05/16 Copyr 1995-2005 J. Schilling
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		cdrecord
CPPOPTS +=	-I../libedc
CPPOPTS +=	-DFIFO -DAUINFO
CPPOPTS +=	-DHAVE_LIB_EDC_ECC
CPPOPTS +=	-DCLONE_WRITE
CPPOPTS +=	-DUSE_LARGEFILES
CFILES=		cdrecord.c \
		cd_misc.c fifo.c isosize.c audiosize.c auinfo.c \
		cue.c \
		diskid.c \
		wm_session.c wm_track.c wm_packet.c \
		sector.c clone.c \
		movesect.c subchan.c cdtext.c \
		defaults.c \
		cdr_drv.c \
		drv_philips.c drv_sony.c drv_jvc.c drv_7501.c drv_mmc.c \
		drv_simul.c \
		scsi_scan.c scsi_cdr.c scsi_cdr_mmc4.c scsi_mmc.c scsi_mmc4.c \
		modes.c misc.c getnum.c crc16.c xio.c
HFILES=		cdrecord.h iso9660.h auheader.h cdtext.h \
		crc16.h movesect.h mmcvendor.h scsi_scan.h \
		scsimmc.h \
		xio.h \
		defaults.h \
		../include/scg/scgio.h ../include/scg/scsidefs.h \
		../include/scg/scsireg.h ../include/scg/scsitransp.h
#LIBS=		-lschily $(LIB_SOCKET)
LIBS=		-lrscg -lscg $(LIB_VOLMGT) -ledc_ecc -ldeflt -lschily $(SCSILIB) $(LIB_SOCKET)
XMK_FILE=	Makefile.man

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1

## cdrtools 2.01.01a33

=== mkisofs/Makefile ===
#ident @(#)Makefile	1.31 07/07/10 
###########################################################################
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; see the file COPYING.  If not, write to the Free Software
# Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
###########################################################################
SRCROOT=	..
RULESDIR=	RULES
include		$(SRCROOT)/$(RULESDIR)/rules.top
###########################################################################

INSDIR=		bin
TARGET=		mkisofs
SYMLINKS=	mkhybrid
CPPOPTS +=	-DUSE_FIND
CPPOPTS +=	-I../libfind
#CPPOPTS +=	-DADD_FILES
CPPOPTS +=	-DUSE_LARGEFILES
#
# Comment out if you do not like to ignore deep directories
# when Rock Ridge is not in use
CPPOPTS +=	-DABORT_DEEP_ISO_ONLY
CPPOPTS +=	-DAPPLE_HYB
CPPOPTS +=	-DUDF
CPPOPTS +=	-DDVD_VIDEO
CPPOPTS +=	-DSORTING
CPPOPTS +=	-I../libhfs_iso/
CPPOPTS	+=	-DUSE_SCG \
		'-DAPPID_DEFAULT="MKISOFS ISO 9660/HFS FILESYSTEM BUILDER & CDRECORD CD-R/DVD CREATOR (C) 1993 E.YOUNGDALE (C) 1997 J.PEARSON/J.SCHILLING"' \
		-I../cdrecord
CPPOPTS +=	-DSCHILY_PRINT
CPPOPTS +=	-DUSE_NLS
CPPOPTS +=	-DUSE_ICONV
CPPOPTS +=	-DINS_BASE=\"${INS_BASE}\"

CFILES=		mkisofs.c tree.c write.c hash.c rock.c inode.c udf.c multi.c \
		joliet.c match.c name.c eltorito.c boot.c isonum.c \
		scsi.c \
		scsi_cdr.c cd_misc.c \
		modes.c \
		apple.c volume.c desktop.c mac_label.c stream.c \
		ifo_read.c dvd_file.c dvd_reader.c \
		defaults.c walk.c
HFILES=		apple.h bootinfo.h defaults.h diskmbr.h exclude.h \
		iso9660.h mac_label.h mactypes.h match.h \
		mkisofs.h sunlabel.h udf.h udf_fs.h vms.h \
		ifo_read.h dvd_file.h dvd_reader.h bswap.h ifo_types.h \
		../cdrecord/defaults.h

LIBS=		-lhfs -lfile -lsiconv -lrscg -lscg $(LIB_VOLMGT) -ldeflt -lfind -lschily \
					$(LIB_ACL) $(SCSILIB) $(LIB_SOCKET) $(LIB_ICONV) $(LIB_INTL)
XMK_FILE=	Makefile.man hybridman.mk Makefile.doc

###########################################################################
include		$(SRCROOT)/$(RULESDIR)/rules.cmd
###########################################################################
count:	$(CFILES) $(HFILES)
	count $r1

## cdrtools 3.02~2024.03.21

=== debian/changelog ===
cdrtools (2:3.02~2024.03.21-fm5) unstable; urgency=medium

  * Apply cddb-patch to cdda2wav. See "https://gnudb.org/info.php".

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 02 Oct 2025 18:50:14 +0200

cdrtools (2:3.02~2024.03.21-fm4) unstable; urgency=medium

  * Make it build with gcc-15

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 04 Sep 2025 18:59:09 +0200

cdrtools (2:3.02~2024.03.21-fm3) unstable; urgency=medium

  * Fix 2 faulty patches to build with riscv64 and armv8l.
  * Update documentation.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 11 Aug 2025 15:09:53 +0200

cdrtools (2:3.02~2024.03.21-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2024-03-21.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 21 Mar 2024 20:14:42 +0100

cdrtools (2:3.02~2023.09.28-fm3) unstable; urgency=medium

  * Add symlinks for armv8l. This is needed when building using
    the Open Suse Build Service, since their build system builds
    armv7l on a virtual armv8l machine.

  * Update copyright notices to 2024.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Tue, 19 Mar 2024 00:45:16 +0100

cdrtools (2:3.02~2023.09.28-fm2) unstable; urgency=medium

  * Add experimental build for riscv64.
    This has not been tested and may not work.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Tue, 17 Oct 2023 16:49:09 +0200

cdrtools (2:3.02~2023.09.28-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2023-09-28.
  * This is mainly a bugfix release.
  * Refresh patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 29 Sep 2023 07:50:03 +0200

cdrtools (2:3.02~2023.04.19-fm2) unstable; urgency=medium

  * Remove "btcflash".
    It is also in package "dvd+rw-tools" and caused dependency conflicts with
    that package and packages which depend on it, like "dvdstyler".
    If you need "btcflash" please install "dvd+rw-tools".

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 24 Jul 2023 15:18:26 +0200

cdrtools (2:3.02~2023.04.19-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2023-04-19.
  * Refresh patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Thu, 20 Apr 2023 08:31:56 +0200

cdrtools (2:3.02~2023.01.12-fm4) unstable; urgency=medium

  * Use GNU make for building.
  * We no longer use the bootstrap Smake.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 18 Mar 2023 20:27:52 +0100

cdrtools (2:3.02~2023.01.12-fm3) unstable; urgency=low

  * Reorganize handling of patches. Convert entire source to utf-8
    instead of converting only selected files.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 05 Feb 2023 12:40:06 +0100

cdrtools (2:3.02~2023.01.12-fm2) unstable; urgency=medium

  * Import NEW RELEASE 2023-01-12.
  * Refresh patches.
  * Update documentation.
  * Add build for ppc64el.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 21 Jan 2023 15:00:00 +0100

cdrtools (2:3.02~2022.10.16-fm3) unstable; urgency=low

  * Improve hardening.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 23 Dec 2022 21:19:34 +0100

cdrtools (2:3.02~2022.10.16-fm2) unstable; urgency=low

  * Some minor tweaks to the rules file.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 26 Nov 2022 12:12:12 +0100

cdrtools (2:3.02~2022.10.16-fm1) unstable; urgency=medium

  * Import NEW RELEASE 2022-10-16.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 16 Oct 2022 20:13:18 +0200

cdrtools (2:3.02~2022.10.14-fm1) unstable; urgency=medium

  * Import NEW pre-elease snapshot 2022-10-14.
  * Update patches.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 14 Oct 2022 11:26:30 +0200

cdrtools (2:3.02~2022.09.18-fm1) unstable; urgency=medium

  * Import NEW RELEASE 3.02~2022-09-18.
  * Move diagnostics to "/usr/sbin".
  * Update patches.
  * Update documentation.
  * Bump epoch to 2.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 18 Sep 2022 09:35:08 +0200

cdrtools (1:3.02beta~2022.08.18-fm1) unstable; urgency=medium

  * NEW BETA pre release.
  * Update patches.
  * Bump Standard to 4.3.0.
  * Bump compat to 12.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Fri, 19 Aug 2022 01:30:28 +0200

cdrtools (1:3.02a10~2022.07.31-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.07.31.
  * Remove no-register-patch now handled upstream.
  * Some tweaks to silence some compiler warnings.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sun, 31 Jul 2022 21:54:40 +0200

cdrtools (1:3.02a10~2022.06.21-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.06.21.
  * Remove more-spelling-errors-patch now applied upstream.
  * Add fix-spelling-patch not applied upstream.
  * Modify rules file (./clean script was fixed by upstream).
  * Old and obsolete README's don't get installed any longer.
  * Fix whitespace errors.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Wed, 22 Jun 2022 22:28:08 +0200

cdrtools (1:3.02a10~2022.06.19-fm1) unstable; urgency=medium

  * Import NEW upstream pre-release snapshot 2022.06.19.
  * Add CONTRIBUTORS to the docs.
  * Remove patches now applied upstream.
  * Add a patch to fix a location within manpages.
  * Add a patch to fix spelling errors not fixed upstream.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Mon, 20 Jun 2022 06:24:06 +0200

cdrtools (1:3.02a10~2021.09.18-fm6) unstable; urgency=medium

  * This is a bugfix release.
  * There was a permission problem with mkisofs when doing
    multisession images.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 07 May 2022 20:10:11 +0200

cdrtools (1:3.02a10~2021.09.18-fm5) unstable; urgency=medium

  * Fixed lots of spelling errors. Forwarded these patches upstream.
  * Changed some manpages to satisfy lintian.
  * Moved stuff from rules to postinst, so rules does not need root.
  * Changed compiler and linker flags for more security.

 -- Friedhelm Mehnert <friedhelm@friedhelms.net>  Sat, 07 May 2022 09:53:35 +0200



=== debian/control ===
Source: cdrtools
Section: otherosfs
Priority: optional
Origin: friedhelms.net
Homepage: http://www.friedhelms.net/debian/
Maintainer: Friedhelm Mehnert <friedhelm@friedhelms.net>
XBSC-Comment: This package is based on the git repo https://codeberg.org/schilytools/schilytools.
Build-Depends: debhelper-compat (= 12) , libext2fs-dev (>= 1.44.5) , libcap-dev , zlib1g-dev
Standards-Version: 4.3.0
Rules-Requires-Root: no

Package: cdrtools
Architecture: any
Multi-arch: foreign
Depends: ${shlibs:Depends} , ${misc:Depends}
Provides: wodim, genisoimage
Conflicts: wodim, genisoimage, icedax
Replaces: wodim, genisoimage, icedax
Recommends: libcap2-bin
Description: The ORIGINAL from Joerg Schilling
 Cdrtools is a set of command line programs for recording of
 CD/DVD/BluRay media.

=== debian/rules ===
#!/usr/bin/make -f
# © 2025 Friedhelm Mehnert <friedhelm@friedhelms.net>

# This hack saves compile time by moving big parts of the source
# out of the way!
# Set this to false to compile everything.
fast_build := true

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-format
export DEB_LDFLAGS_MAINT_APPEND = -g
export DEB_CFLAGS_MAINT_APPEND = -std=c11 -Wno-incompatible-pointer-types \
       -Wno-compare-distinct-pointer-types -Wno-unused-result -Wno-deprecated-declarations

env_cflags := "$(shell dpkg-buildflags --get CFLAGS)"
env_cppflags := "$(shell dpkg-buildflags --get CPPFLAGS)"
env_ldflags := "$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@

# Configure is handled by "upstream make". So we do nothing.
# We also don't care if parts of the source are missing.
override_dh_auto_configure override_dh_missing:


# There is no "make clean". A hidden ".clean" script is used instead.
override_dh_auto_clean:
	./.clean
	if test -d ./debian/backup/cal; then mv ./debian/backup/* .; fi

# We don't need the profiled versions of the libs. We save A LOT of
# compile time by not building them. We simply remove their make files.
override_dh_auto_build:
	find . -name '*_p.mk' -delete
	mkdir -p ./debian/backup
ifeq ($(fast_build), true)
	mv ./bsh ./debian/backup
	mv ./btcflash ./debian/backup
	mv ./cal ./debian/backup
	mv ./calc ./debian/backup
	mv ./calltree ./debian/backup
	mv ./change ./debian/backup
	mv ./compare ./debian/backup
	mv ./copy ./debian/backup
	mv ./count ./debian/backup
	mv ./cut ./debian/backup
	mv ./hdump ./debian/backup
	mv ./label ./debian/backup
	mv ./match ./debian/backup
	mv ./mdigest ./debian/backup
	mv ./mt ./debian/backup
	mv ./pbosh ./debian/backup
	mv ./obosh ./debian/backup
	mv ./p ./debian/backup
	mv ./patch ./debian/backup
	mv ./paste ./debian/backup
	mv ./printf ./debian/backup
	mv ./pxupgrade ./debian/backup
	mv ./rmt ./debian/backup
	mv ./sccs ./debian/backup
	mv ./sdd ./debian/backup
	mv ./scgcheck ./debian/backup
	mv ./scgskeleton ./debian/backup
	mv ./sgrow ./debian/backup
	mv ./sh ./debian/backup
	mv ./sfind ./debian/backup
	mv ./sformat ./debian/backup
	mv ./sunpro ./debian/backup
	mv ./star_sym ./debian/backup
	mv ./strar ./debian/backup
	mv ./tartest ./debian/backup
	mv ./translit ./debian/backup
	mv ./tests ./debian/backup
	mv ./termcap ./debian/backup
	mv ./udiff ./debian/backup
	mv ./ved ./debian/backup
	mv ./vms ./debian/backup
	mv ./libboshcmd ./debian/backup
	mv ./libdbgmalloc ./debian/backup
	mv ./libshedit ./debian/backup
	mv ./libvms ./debian/backup
endif
	make GMAKE_NOWARN=true CPPOPTX=$(env_cppflags) COPTX=$(env_cflags) LDOPTX=$(env_ldflags) ARCH=$(DEB_HOST_ARCH) -f SMakefile

override_dh_auto_install:
	make install GMAKE_NOWARN=true DESTDIR=$(CURDIR)/debian/tmp ARCH=$(DEB_HOST_ARCH) -f SMakefile
ifeq ($(fast_build), true)
	mv ./debian/backup/* .
endif

override_dh_installman:
	mv ./debian/tmp/usr/share/man/man1/rscsi.1 ./debian/tmp/usr/share/man/man8/rscsi.8
	mv ./debian/tmp/usr/share/man/man8/mkisofs.8 ./debian/tmp/usr/share/man/man1/mkisofs.1
	mv ./debian/tmp/usr/share/man/man8/mkhybrid.8 ./debian/tmp/usr/share/man/man1/mkhybrid.1
	dh_installman

override_dh_strip:
	dh_strip --no-automatic-dbgsym
